dupload (2.10.5) unstable; urgency=medium

  * Revert "hooks: Rewrite openpgp-check in perl for Dpkg::OpenPGP
    multi-backend support". We need to make the keyrings to use,
    the OpenPGP backend, its commands and whether to use its certificate
    store configurable before we can do this switch. Closes: #1059266

 -- Guillem Jover <guillem@debian.org>  Sat, 23 Dec 2023 01:06:23 +0100

dupload (2.10.4) unstable; urgency=medium

  * hooks: Rewrite openpgp-check in perl for Dpkg::OpenPGP multi-backend
    support, so that we get automatic SOP and Sequoia-PGP support.

 -- Guillem Jover <guillem@debian.org>  Fri, 22 Dec 2023 01:22:49 +0100

dupload (2.10.3) unstable; urgency=medium

  * Enable TCP keep-alive for the FTP control connection. Closes: #827053

 -- Guillem Jover <guillem@debian.org>  Thu, 07 Dec 2023 23:48:47 +0100

dupload (2.10.2) unstable; urgency=medium

  * completion: Fix coding style.
  * completion: Just return without a value.
  * completion: Fix config file and version option names.
  * completion: Do not look for *.asc and *.sig only *.changes.
  * completion: Do not unconditionally complete filenames and dirs.
  * completion: Add missing options.
  * Add new --nostats option.
  * Pass -v to ssh and scp on dupload --debug. Closes: #505611
  * Code internals:
    - Fix typo in code comment.
    - Refactor methods runner into a new function.
    - Turn $copiedfiles into an array.
    - Move $msg declaration to its first use in announce_if_necessary().
    - Turn $mta_cmd into an array.
    - Append $options to $scp_options on setup instead of on each call.
    - Turn $options into an array.
    - Turn $ssh_login and $scp_options into arrays.
    - Turn $rsync_opts into an array.
    - Pass all rsync options via @rsync_opts.
    - Pass ssh -x and -l via new @ssh_options instead of on each call.
    - Switch ssh/scp and rsync system() calls to its array form.
  * Test suite:
    - Add test for the scp, scpb and rsync methods.

 -- Guillem Jover <guillem@debian.org>  Sun, 19 Nov 2023 03:54:35 +0100

dupload (2.10.1) unstable; urgency=medium

  * Pass version argument on its own to preupload sourcepackage hook.
  * Use pre-computed package and version for postupload sourcepackage hook.
  * Test suite:
    - Check all arguments for hooks with multiple arguments.
    - Rename arg to args in test hook.

 -- Guillem Jover <guillem@debian.org>  Mon, 11 Sep 2023 15:57:05 +0200

dupload (2.10.0) unstable; urgency=medium

  * Add new README.
  * Remove unnecessary slash escaping in hook substitution.
  * Do not warn when hook arguments are not set.
  * Pass host metadata to hooks via the environment.
  * Add support for a new hook category to run once per host. Closes: #589198
  * hooks: Add new debian-next-dinstall postupload hook.
  * Reject obsolete scalar hook definitions.
  * Reject obsolete mailto, mailtx and cc keys.
  * Reject obsolete distwhitelist and distblacklist keys.
  * Code internals:
    - Call p() with parenthesis.
    - Remove function prototypes.
    - Rename run() to run_hook().
  * Test suite:
    - Add a test case for hooks.

 -- Guillem Jover <guillem@debian.org>  Sun, 10 Sep 2023 13:59:23 +0200

dupload (2.9.12) unstable; urgency=medium

  * Fix typo in dupload.conf.
  * Documentation:
    - doc: Fix typo in dupload(1).
  * Packaging:
    - Switch to Standards-Version 4.6.2 (no changed needed).
    - Do not trim debian/changelog.
    - Update copyright years.

 -- Guillem Jover <guillem@debian.org>  Sat, 07 Jan 2023 23:56:17 +0100

dupload (2.9.11) unstable; urgency=medium

  * hooks: Match on any section starting with non-free.
  * Documentation:
    - Itemize available methods in dupload.conf(5).
    - Document when each method and configuration option was added.
    - Move all announcement documentation into a dupload(1) subsection.
    - Clarify .upload filename format in dupload(1).
  * Packaging:
    - Fix dependency on libsecret-tools.

 -- Guillem Jover <guillem@debian.org>  Tue, 04 Oct 2022 03:46:32 +0200

dupload (2.9.10) unstable; urgency=medium

  * Print «Uploading job» for http/https methods after password prompt.
  * Check whether we have SSL support for https method as early as possible.
  * Documentation:
    - Fix typos in man pages.
    - Say array reference instead of list reference.
    - Move dupload(1) "Announcement addresses" to DESCRIPTION section.
    - Order dupload(1) options by common usage.
    - Itemize filenames and environment variables in man pages.
    - Rework and itemize upload method information in dupload(1).
    - Document loading order of --configfile configuration file.
    - Document environment variables affecting the http/https methods.
  * Code internals:
    - Move info_field() function definition next to info().
    - Simplify ftp passive mode setup.
  * Build system:
    - Add a new authorcheck target.
  * Test suite:
    - Neutralize version variance in MTA output.

 -- Guillem Jover <guillem@debian.org>  Tue, 06 Sep 2022 00:39:12 +0200

dupload (2.9.9) unstable; urgency=medium

  * Add missing «.*-security» to distallowlist for debian-ftp-security queue.
  * Sort hash keys when iterating over them for reproducible output.
  * Only uppercase the digest algorithm name.
  * Fix email announce action item formatting output.
  * Check explicitly for unknown nicknames in configuration.
  * Do not require default config files being loaded, --configfile should do.
  * Do not print the extra announce files when no announcement is sent.
  * Generalize mailto and mailx handling. Closes: #960708
  * Print the method for each host on --print.
  * Print the reason when files cannot be renamed over FTP.
  * Generalize getpass() function.
  * Add support for passwordcmd option with default via Secret Service.
  * New http/https upload method(s). Closes: #147509
  * Add explicit method key for default «ftp» for all dupload.conf hosts.
  * Update copyright years.
  * Documentation:
    - doc: Update TODO items.
    - doc: Mark deprecated configuration keys inside the square brackets.
  * Code internals:
    - Merge same if/else mode handling branch for scpb and rsync methods.
    - Move ftp specific defaults to ftp handling code.
    - Use getcwd() instead of cwd().
    - Simplify copied files tracking.
    - Reduce scope for FTP $result variable.
    - Group $dry and $mainonly declarations with global control flow variables.
  * Packaging:
    - Bump to Standards-Version 4.6.1 (no changed needed).
    - Add autopkgtest for the functional test suite.
  * Test suite:
    - Add support for DUPLOAD_USER and DUPLOAD_HOST.
    - Add support for DUPLOAD_LOG_TIMESTAMP.
    - Add directory handling functions.
    - Add functional test suite.

 -- Guillem Jover <guillem@debian.org>  Sun, 04 Sep 2022 22:57:18 +0200

dupload (2.9.8) unstable; urgency=medium

  * Fix compatibility target host definitions.
    Reported by Santiago Vila <sanvila@unex.es>.
  * Add a license header to the OpenPGP check hook.
  * Clarify comment in OpenPGP check hook.
  * Fix bashisms in hooks.
  * Only perform debian-source-only checks for unstable and sid suites.
  * Refactor time delta computation.
  * Fix printing the changes file into the announce mail.
    Thanks to Edouard GAULUE <edouard@e-gaulue.com>. See #1005843.
  * Fix pipe mode for perl open call to sendmail.
    Thanks to Edouard GAULUE <edouard@e-gaulue.com>. Closes: #1005843
  * Add support for configurable MTA in dupload.conf and --mta option.
  * Fix announce address concatenation handling.
  * Code internals:
    - Fix indentation in OpenPGP check hook.
    - Rename the $sendmail variables to $mta.
  * Build system:
    - Add a new gitlab-ci.yml file.
  * Packaging:
    - Drop deprecated «have» function usage in bash completion.
    - Add a bash filetype to the bash completion file.
    - Add author test dependencies under a build-profile.
    - Bump to Standards-Version 4.6.0 (no changed needed).
  * Test suite:
    - Add a shellcheck test.

 -- Guillem Jover <guillem@debian.org>  Thu, 31 Mar 2022 01:45:49 +0200

dupload (2.9.7) unstable; urgency=medium

  * Use OpenPGP instead of GPG for signature related names.
  * Consider SHA1 and RIPEMD160 weak digest algorithms on OpenPGP signatures.
  * Use «command -v» instead of «which», as the former is more portable.

 -- Guillem Jover <guillem@debian.org>  Sun, 29 Aug 2021 13:17:07 +0200

dupload (2.9.6) unstable; urgency=medium

  * Switch to Standard-Version 4.5.1 (no changed needed).
  * Switch to debhelper compatibility level 13.
  * Enable bash-completion sequence by adding dh-sequence-bash-completion
    to Build-Depends instead of setting it via dh --with=bash-completion.
  * Improvements and fixes to bash-completion:
    - Remove unused local variables.
    - Reindent to 2 spaces.
    - Switch the options variable into an array.
    - Pass $cur to compgen as the match word instead of using grep.
    - Move local declarations to their definitions.
    - Autocomplete directories. Closes: #962632
  * Clarify man page SYNOPSIS syntax by not formatting the ‘|’.
  * Namespace and harmonize Debian repository target names, while preserving
    backwards compatibility aliases for now.
  * Rename blacklist/whitelist to blocklist/allowlist, support the old
    variable names for backwards compatibility.
  * Do not interpolate strings unnecessarily.
  * Build system:
    - Pass lib to prove with -I instead of PERL5LIB.
    - Install dupload.conf from the upstream build system.
    - Change default installation directory from /usr/local to /usr.
    - Fix upstream build system to respect DESTDIR.
    - Uppercase variables in Makefile.
    - Add a dist target.
  * Update copyright years.

 -- Guillem Jover <guillem@debian.org>  Wed, 30 Dec 2020 01:20:51 +0100

dupload (2.9.5) unstable; urgency=medium

  * Switch from debian/compat to debhelper-compat in Build-Depends.
  * Switch to debhelper compatibility level 12.
  * Bump Standard-Version to 4.4.1 (no changed needed).
  * Obsolete --configfile without argument automatically loading the
    configuration file from the current directory, by making the argument
    mandatory.
  * Use $() instead of `` in shell hooks.
  * Use qx() instead of `` in perl tests.
  * Remove perlcritic Documentation::RequirePodLinksIncludeText suppression.
  * Do not use contractions in output messages and code comments.
  * Add a hook to warn on non-source-only uploads to Debian main, and on
    source-only non-autobuild uploads to Debian non-free.
    Closes: #303093, #931782

 -- Guillem Jover <guillem@debian.org>  Sun, 27 Oct 2019 02:34:10 +0100

dupload (2.9.4) unstable; urgency=medium

  * Add missing newline when printing queuedir move.
  * When using the scpb method print that instead of scp.
  * Add verb to the first job print, see #181476.
  * Fix current working directory for postupload hooks.
    Fixes <https://bugs.launchpad.net/bugs/795445>.
    Based on patch by Ignacy Gawędzki <https://launchpad.net/~iazz>.
  * Fallback to getpwuid($<) in case getlogin() fails.
    Fixes <https://bugs.launchpad.net/bugs/1140837>.
  * Do not use sendmail if it is not available. We are checking whether
    sendmail is present, to then override the check with the value coming
    from the config file. We should not try to use sendmail if we have found
    it is not available. Fixes <https://bugs.launchpad.net/bugs/1504088>.

 -- Guillem Jover <guillem@debian.org>  Wed, 27 Feb 2019 06:12:56 +0100

dupload (2.9.3) unstable; urgency=medium

  * Remove trailing spaces from changelog file.
  * Switch to debhelper compatibility level 11.
  * Bump Standards-Version to 4.3.0 (no changes needed).
  * Fix typos.
  * Add configuration stanza for Debian Ports archive.
    Prompted by Manuel A. Fernandez Montecelo <mafm@debian.org>.
  * Check the distribution values one at a time.
  * Add new configuration options (distwhitelist and distblacklist) to
    check for the distributions (not) allowed per host.
  * Move the UNRELEASED distribution check into the distblacklist
    configuration variable. Closes: #479831
  * Add distblacklist and distwhitelist checks for security and backports
    uploads. Closes: #647130
  * Remove done items from the TODO list.
  * Automatically select the default host based on the current vendor, when
    that is Debian or Ubuntu.
  * Clarify that the "Login and password" man page subsection is FTP-specific.
  * Document the anonymous FTP password host option.
  * Only set the ssh login name if specified in the dupload config. We should
    delegate the username to either the ssh host configuration or the dupload
    configuration. Trying to use the current system login name, or one of
    LOGNAME or USER confuses and annoys users, and makes them have to
    duplicate the information which is already kept in the ssh config.
    Closes: #63130, #100460, #504175
  * Fix quiet mode to be consistent across upload methods. Pass -q to scp
    only when quiet is enabled, which changes the default behavior for the
    «scp» method that was always passing -q, and for the «scpb» method that
    was never passing it. For the «rsync» method we now pass -v only when
    quiet is not set. Closes: #61324
  * Output the database entries with --print in a deterministic order.
  * Fix --help output to document the <file> argument to --configfile.
  * Perl code cleanup:
    - Remove unused variables in ftp_open().
    - Use ftp_open() function argument instead of global variable.
    - Make $ftp a local variable in ftp_open().
    - Only handle the password setting in FTP-method specific code path.

 -- Guillem Jover <guillem@debian.org>  Sun, 03 Feb 2019 01:01:59 +0100

dupload (2.9.2) unstable; urgency=medium

  * Set Rules-Requires-Root field to no.
  * Update mentors.debian.net incoming path in dupload.conf. Closes: #891269
    Thanks to Mattia Rizzolo <mattia@debian.org>.
  * Fix perl uninitialized warnings when using option -p.
  * Cleanup error output:
    - Do not print source file and line for errors that are not code bugs.
    - Remove redundant newlines.
    - Rewrite error strings to make them easier to understand.
  * Namespace debhelper files with package name.
  * Update Vcs URLs to point to the new hosting site.
  * Bump Standard-Version to 4.1.5 (no changed needed).
  * Add default-mta as the first alternative to mail-transport-agent.

 -- Guillem Jover <guillem@debian.org>  Fri, 06 Jul 2018 12:08:34 +0200

dupload (2.9.1) unstable; urgency=medium

  * Fix perl warning on upload queues without a mailto or mailtx attribute.
    Closes: #877373
  * Fix markup in man pages.
  * Use UTC0 when setting TZ for the man date.
  * Use balanced '' instead of `' in output messages.
  * Perl code cleanup:
    - Use qx() instead of ``.
    - Mask non file-mode bits when comparing the stat value.
    - Move batch mode post command setup after batch mode transfer.
  * Improve file mode handling:
    - Switch rsync method to use -L and -t instead of -a.
    - Add a new host filemode option to configure the destination files mode.
    - Use --chmod=F<mode> for rsync method instead of using a chmod command.
    - Do not change the file mode for Debian security uploads.
    Proposed by Ansgar Burchardt <ansgar@debian.org>. Closes: #876900
  * Update fqdn and incoming in Debian security upload queue configuration.
  * Add new Debian security-unembargoed ssh queue.

 -- Guillem Jover <guillem@debian.org>  Wed, 11 Oct 2017 20:43:44 +0200

dupload (2.9.0) unstable; urgency=medium

  * Update the TODO list.
  * Add Vcs-Browser and Vcs-Git fields to debian/control.
  * Bump Standards-Version to 4.1.0 (no changes needed).
  * Rename man pages to from Npod to N.pod extensions.
  * Remove trailing whitespace.
  * Remove PGP support, we always have GnuPG now.
  * Do not consider the default_host as the only host to dump on --print.
  * Add a new default hook to ask whether the user has been authorized to
    do Debian security uploads, and enable all security queues by default.
  * Add support for specifying a filename argument to --configfile, and
    deprecate using it without the argument due to being a security risk.
  * Add a basic unit test suite.
  * Fix fatal error for pre-upload package hook to include the actual hook.
  * Use $changes instead of $_ for the sourcepackage postupload hook, so that
    we compute the hook arguments properly.
  * Do not try to operate on the job log filehandle if we cannot open it.
  * Add new "copy" upload method. Closes: #259981
  * Do not expect incoming nor queuedir options to end in a slash. This was
    affecting the ftp and scp methods.
  * Always print a newline before printing a fatal error to make sure we do
    not start on a partially written line.
  * Insert a colon after the program name in errors and warnings.
  * Only set the batch mode command variables when in that mode.
  * Add Ubuntu host to dupload.conf.
    Thanks to Oliver Grawert (ogra) <hostmaster@grawert.net>.
  * Switch to debhelper compatibility level 10.
  * Perl code cleanup:
    - Do not access the @_ array as @_[0].
    - Declare Getopt::Long option variables.
    - Declare dupload.conf configuration variables.
    - Use strict and warnings in dupload and dupload.conf.
    - Remove ancient perl version requirement.
    - Replace hard tabs with 4 spaces.
    - Switch a deep conditional into an early return.
    - Remove unused variables.
    - Fold batch method statistics conditional into subsequent conditional.
    - Fix indentation and spacing. Split each statement into its own line.
    - Use IO::Handle autoflush instead of single argument select.
    - Do not use parenthesis with built-ins.
    - Use parenthesis for non-built-in functions.
    - Use block form for grep.
    - Declare every global variable on its own my.
    - Improve code comments.
    - Remove unnecessary parenthesis in conditionals.
    - Switch trivial one-liner conditionals to postfix notation.
    - Switch comma separated statements into prefix conditionals.
    - Refactor job logging into a new log_job() function.
    - Use scalars for filehandles instead of barewords.
    - Use braced filehandles with print.
    - Use three argument open form.
    - Use lexical loop iterators.
    - Rework hook execution to not require an eval.
    - Do not use stringy split.
    - Do not interpolate literal strings.
    - Do not use undefined $queuedir variable.
    - Do not use undefined $debian when checking announce filenames.
    - Use uppercase names for HERE-doc terminators.
    - Quote HERE-doc terminators.
    - Use glob function instead of the <> operator.
    - Use negative indices instead of $#var.
    - Use {} instead of # as regex delimiter.
    - Use List::Util any function instead of grep in boolean context.
    - Stop using the English module.
    - Do not mix boolean operators with different precedence.
    - Use octals instead of decimal values for file modes.
    - Move declaration of @f to its initialization.
    - Do not use «and do» or «or do» constructs.
    - Do not use «and» or «or» for non-control-flow actions.
    - Unify fatal error handling with other surrounding flow control logic.
    - Avoid explicit usage of the topic variable.
    - Simplify and cleanup fatal error reporting.
    - Use non-capturing groups in regexes.
    - Refactor pre and post upload hooks into two new functions.
    - Check open return value for redirection of announcement to stdout.
    - Use fatal() instead of die.
    - Do not use contracted forms in output messages nor documentation.
    - Chain method conditionals into if/elsif blocks.
    - Rename $server variable to $ftp.

 -- Guillem Jover <guillem@debian.org>  Wed, 23 Aug 2017 19:21:33 +0200

dupload (2.8.3) unstable; urgency=medium

  * Use the new domain name (ftp.security.upload.debian.org) for the
    Debian security ftp queue. Closes: #863350
  * Use /srv instead of /org for the Debian security scp queue.
  * Add new ftp.eu.upload.debian.org upload queue.
  * Add new ftp.security.upload.debian.org unembargoed queue.
  * Use https:// instead of http:// everywhere.

 -- Guillem Jover <guillem@debian.org>  Sat, 27 May 2017 05:49:57 +0200

dupload (2.8.2) unstable; urgency=medium

  * Set TZ to UTC when calling pod2man, to get reproducible man pages.

 -- Guillem Jover <guillem@debian.org>  Thu, 18 May 2017 13:44:54 +0200

dupload (2.8.1) unstable; urgency=medium

  * Remove dependencies on libnet-perl, now a virtual package provided
    by perl-modules.
  * Use the changelog timestamp to generate reproducible man pages.
  * Clarify that the default OpenPGP check can be disabled with a
    host-specific hook. Closes: #326947
  * Improve man page wording and formatting.

 -- Guillem Jover <guillem@debian.org>  Thu, 18 May 2017 05:35:40 +0200

dupload (2.8.0) unstable; urgency=medium

  * Take over maintainership as part of the Dpkg Developers umbrella,
    with the agreement of previous maintainer, Josip Rodin.
  * Bump Standards-Version to 3.9.8.
  * Switch debian/copyright to machine-readable format.
  * Wrap and sort fields in debian/control.
  * Swap dh arguments to pass $@ first, required by newer debhelper
    compatibility levels.
  * Switch to debhelper compatibility level 9.
  * Change “Debian GNU/Linux” references to Debian.
  * Mark package as Multi-Arch foreign.
  * Remove support for obsolete non-US section.
  * Update default list of sources files used in man page.
  * Use more standard section names in man page.
  * Remove reference to long-removed chiark queue from man page.
  * Remove ancient comment about signed mails on broken MUAs from man page.
  * Remove notion that being written in perl is a bug from man page.
  * Fix various typos.
  * Improve man page metadata.
  * Simplify Version field fetching with new dpkg-parsechangelog -S option.
  * Reflow and improve package description.
  * Remove stray "d" in-between changelog entries.
  * Update and unify copyright and license information.
    - Remove AUTHOR sections from man pages.
    - Expand license text in file headers.
    - Update copyright holder notices.
  * Remove commented out code.
  * Drop obsolete volatile queue. Closes: #661376
    Thanks to Sebastian Andrzej Siewior <sebastian@breakpoint.cc>.
  * Fix indentation for bpo queue.
  * Set FTP passive mode by default on all queues. Closes: #355474
    Thanks to Adam Borowski <kilobyte@angband.pl>.
  * Add a vim modeline to the configuration file.
  * Improve usage description in program --help output and man page.
  * Replace the inline version at install time, to guarantee we always
    have an up-to-date version string.

 -- Guillem Jover <guillem@debian.org>  Tue, 02 May 2017 02:59:21 +0200

dupload (2.7.0) unstable; urgency=low

  * Bump Standards-Version to 3.9.1 (no changes)
  * Convert debian/rules to use dh
  * Update config for backports uploads.
    (Closes: #595734, #595737)
  * Add bash-completion support, thanks to Paul Evans.
    (Closes: #514774)
  * Fix broken link in dupload.conf for security upload
    documentation, thanks to Niko Tyni. (Closes: #507249)
  * Document "options" host option. (Closes: #604014)

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 24 Feb 2011 01:02:00 +0100

dupload (2.6.6) unstable; urgency=low

  * Update definitions for ftp-master, anonymous-ftp-master and
    delayed to use ssh.upload.debian.org and ftp.upload.debian.org.
    (Closes: #499637)

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 21 Sep 2008 18:24:34 +0200

dupload (2.6.5) unstable; urgency=low

  * Update definition of DELAYED queue to use ssh-delayed.upload.debian.org.
  * Bump Standards-Version to 3.8.0 (no changes).
  * Drop versioning from Perl dependency, even bo fulfilled it.

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 12 Sep 2008 04:35:31 +0200

dupload (2.6.4) unstable; urgency=low

  * Add myself to Uploaders with Josip's approval
    + acknowledge NMUs
  * Make a few clean-ups I refrained from in the NMUs:
    + Increase debhelper compat level to 5
    + Add some missing dh_* calls (md5sums and installman)
    + Use dh_install and dh_link instead of install and ln
    + Bump Standards-Version to 3.7.3 (no changes)

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 02 May 2008 13:43:03 +0200

dupload (2.6.3.4) unstable; urgency=low

  * Non-maintainer upload (Closes: #477220)
  * Update mentors.debian.net configuration. Patch by Charles Plessy.
    (Closes: #226101)
  * Add volatile configuration. (Closes: #420693)
  * Add backports.org configuration.
  * Abort upload if distribution is UNRELEASED. (Closes: #384703)
    (also remove support for "frozen")
  * Add support for parsing and testing new checksums-* fields.
    dupload will not complain if the fields are absent.
    (Closes: #473518)
  * Check file sizes, too. (Closes: #360161)

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 25 Apr 2008 23:51:29 +0200

dupload (2.6.3.3) unstable; urgency=low

  * NMU (with maintainers consent) (Closes: #398135)
  * Recommend openssh-client instead of ssh, keep ssh as alternative
    for now. Reported by Aaron Schrab (Closes: #387678)
  * Setting $default_host from a local dupload.conf is now possible
    again. Reported by martin f krafft (Closes: #249341)
  * Add empty binary-arch target in debian/rules. Reported by
    Aurelien Jarno (Closes: #395593)
  * Treat DEBDELAY=0 correctly. Patch by Matej Vela (Closes: #356780)
  * Fix headers of man pages. Reported by Denis Barbier (Closes: #222934)
  * Update location of security upload queues. Reported by adrian
    (Closes: #345078)
  * Fix move of files to the queuedir. Patch by Bob Proulx
    (Closes: #279308)
  * Remove build-stamp in debian/rules' clean target

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 11 Nov 2006 21:17:38 +0100

dupload (2.6.3.2) unstable; urgency=low

  * NMU during BSP.
  * Try to differentiate between different gpg --verify error reasons
    to allow uploads from hosts where the public key is not available.
    (Closes: #321126)

 -- Frank Lichtenheld <djpig@debian.org>  Sat,  6 Aug 2005 20:14:23 +0200

dupload (2.6.3.1) unstable; urgency=low

  * NMU to remove obsolete queues, based on
    https://www.debian.org/doc/developers-reference/ch-pkgs.en.html
    and
    https://lists.debian.org/debian-devel/2004/debian-devel-200401/msg01950.html>
    also cleaned up the bug list.
  * Removed non-functioning upload queues: anonymous-non-us, non-us,
    chiark, erlangen, uk, jp, and samosa. (Closes: #222938, #229744)
  * Added notes extracted from the Developer's reference regarding
    uploads to security and commented out these entries to prevent
    developers from uploading there unintentionally. (Closes: #251286)
  * Added a default configuration for uploading to mentors.debian.net
    (Closes: #226101)
  * Changed default (commented) upload queue to be anonymous-ftp-master
  * Use Goswin's patch to add an 'options' field in the configuration file
    which can be used to setup --progress and -L in rsync calls, or
    additional options to SSH if needed (Closes: #98949, #319910, #225400)
  * Check the .changes signature using gpg or pgp (if available) in order to
    prevent unsigned uploads. This is active by default for GPG but can be
    disabled in dupload.conf at will. Also, added two new simple scripts
    gpg-check and pgp-check to provide a wrapper to the check so that the
    error message in case of a failure is more user-friendly. I've implemented
    this as hooks rather than as new code in dupload to allow users to
    customise as needed. Note: DSC files are not checked since that should
    be done in a separate hook (and there is none for those files).
    (Closes: #54344, #56877, #65630, #101882)
  * Related to the above add references to the preupload/postupload hooks
    in the dupload.conf file.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 26 Jul 2005 23:45:04 +0200

dupload (2.6.3) unstable; urgency=medium

  * Fixed package build directory to actually include the contents
    in the .deb (d'oh!), closes: #212093.

 -- Josip Rodin <joy-packages@debian.org>  Mon, 22 Sep 2003 11:39:54 +0200

dupload (2.6.2) unstable; urgency=low

  * Added security.debian.org:/org/security.debian.org/queue/unchecked
    to the config file.
  * Properly detects Changes and Files multi-line tags, thanks to
    Matthias Urlichs, closes: #195903.
  * Added testing to the list of accepted distributions because of
    mini-dinstall, by request of Bruno Rodrigues, closes: #179711.
  * Added the delayed upload stuff from the Developer's Reference
    to the config file, but renamed the DELAY variable to DEBDELAY
    to cause less namespace pollution, closes: #146840.

 -- Josip Rodin <joy-packages@debian.org>  Tue, 16 Sep 2003 12:40:59 +0200

dupload (2.6.1) unstable; urgency=low

  * Ignore uploads to security.debian.org in the non-US sanity check,
    and introduce a "nonus" flag for hosts to be able to force this,
    closes: #164320.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Fri, 11 Oct 2002 20:37:07 +0200

dupload (2.6) unstable; urgency=low

  * Added libnet-perl into Build-Depends, closes: #147530.
  * Added back the $mailto || $mailtx warning.
  * Added the non-US sanity check, closes: #103525.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Thu, 11 Apr 2002 21:02:39 +0200

dupload (2.5) unstable; urgency=high

  * New maintainer, closes: #141847, #55691, #55752.
  * Reduced priority of the mail stuff because it's no longer used by
    default, closes: #109260. dupload will now just warn (or be quiet)
    about the lack of /usr/sbin/sendmail.
  * Remove the .upload file when a batch method fails, which really
    closes: #44624.
  * No longer displays the statistics if they weren't calculated,
    closes: #57868.
  * Fixed .changes file check to ignore regexps, closes: #69383.
  * Check if the configuration file has any contents before trying to
    load it, closes: #86120.
  * Renamed Build-Depends into Build-Depends-Indep, closes: #92168.
  * Replaced the note in the configuration file to explain the situation
    with master.debian.org, closes: #112822. I'd rather not warn, because
    if someone really wants to use it still they'll get spurious warnings.
  * Removed giano from the configuration file, closes: #122777.
  * Use the host FQDN instead of the host nickname in .upload files,
    closes: #133286.
  * Proofreading in the manual pages. Ugh!
  * Removed a bunch of implied stuff from the default configuration file.
    Removed mention of debian*-changes mailing lists because we no longer
    want/allow dupload mails to them.
    Added anonymous-ftp-master host definition.
  * Polishing in the packaging.
  * Removed fucked up makefile commands that overwrote my dupload with the
    contents of dupload.pl for no actual practical purpose. Fuck.
  * Removed checking of the Format: field in the changes file for >= 1.6,
    since the fact dinstall's mails started somewhere at about the same time
    is not really related. Simply respect the $dinstall_runs variable which
    is set for all the default Debian hosts in the configuration file.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Wed, 10 Apr 2002 18:01:26 +0200

dupload (2.4.3) frozen unstable; urgency=high

  * No longer reads (by default) a configuration file in the current
    directory. Although not formally reported as a bug, it is a serious
    security hole.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Fri, 13 Apr 2001 20:37:47 +0200

dupload (2.4.2) frozen unstable; urgency=low

  * New configuration file (ftp-master, anonymous non-US).
    Closes: #63809, #64003, #92418, #78829
  * Small documentation bug about ssh. Closes: #63660
  * Build dependencies. Closes: #70279

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Tue, 10 Apr 2001 20:47:05 +0200

dupload (2.4.1) frozen unstable; urgency=low

  * Non-maintainer upload.
  * Lintian clean.
    * Ported to debhelper.
    * FHS 2.1 compliant
    * Upgraded standards version.
  * Added support for rsync, modeled after scpb.  Patch from Adam Heath
    <doogie@debian.org>
  * Fixed typo in warning message.  Closes: #48812.
  * Don't upload files that have already been uploaded when processing
    multiple .changes.  Closes: #53273.
  * Don't log a successful upload for scpb/rsync until the upload has
    finished.  Closes: #44624, #48577.
  * When cc'ing, display the address that the email is cc'd to.  Closes:
    #52840.
  * Only wishlist bugs now remain on dupload.  :)

 -- Adam Heath <doogie@debian.org>  Wed, 19 Jan 2000 22:52:27 -0600

dupload (2.4) unstable; urgency=low

  * Patch (both from Joey Hess <joey@kitenet.net> and myself) to fix hooks.
    Hooks are now seriously tested. Closes: #43644
  * $dinstall_runs is now set for every host which transfers to master.
    Closes #43722.
  * The fact that the "scpb" method is the recommended one is now clear
    in dupload(1). Closes #42342.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Mon, 30 Aug 1999 12:46:56 +0200

dupload (2.3) unstable; urgency=low

  * --help option. Closes #39901
  * An entry for non-us. Closes #39707
  * Complies with the new Perl policy. Closes #40563

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed,  7 Jul 1999 14:17:15 +0200

dupload (2.2) unstable; urgency=low

  * A completely new system to run pre and post-upload scripts: hooks.
    Now, you can run any shell command before uploading (uploading will
    be cancelled if they fail) and after successful uploading.
    See dupload.conf(5). Closes #34883 and, I hope, almost all the future
    wishlists "Can you add such and such in dupload" :-)
  * Small improvement to the automatic changelog detection code. Closes
    #39072
  * Several cleanings of the source code and dependencies, thanks to
    Julian Gilbey <J.D.Gilbey@qmw.ac.uk>
  * New upload queue samosa.debian.org. Closes #38838

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Thu,  3 Jun 1999 11:26:03 +0200

dupload (2.1) unstable; urgency=low

  * Recognizes the new (1.6) changelog format and, if used and if the
    per-host variable dinstall_runs is set, do not send mail uselessly.
    Patch by Brian Almeida <bma@debian.org>. Closes #35308
  * Implements --quiet. Patch by Julian Gilbey <J.D.Gilbey@qmw.ac.uk>
  * Adds a new line to the .upload file to record successful uploading.
    Patch by Julian Gilbey <J.D.Gilbey@qmw.ac.uk>. Closes #34209
  * New global configuration variable default_host. --to is no longer
    mandatory. Closes #34208 and probably #31684 by a side-effect.
  * New option --mailonly for unconditional announcements. Closes
    #31616
  * Allows a new global configuration variable to suppress
    parentheses around full names. Closes #16685
  * ssh no longer requires X forwarding. Closes #38061
  * dupload(5) -> dupload.conf(5) and updated. Closes #35643
  * Fatal error handling rewritten: util.pm suppressed but it is not
    a complete return to pre-2.0: fatal() now uses caller() instead
    of croaking (patch by Julian Gilbey <J.D.Gilbey@qmw.ac.uk>).
    Closes #35626 and #35625 by a side-effect.
  * Properly documents the extra 'announce' files. Closes #26685
  * Japanese upload queue added. Closes #37803
  * Mode-optimization for ssh (do not remote-chmod if the mode is already
    correct) now works also for the 'scpb' method. Allows to close #13243,
    longest dupload bug ever, 604 days old.
  * Announcements are sent according to the Debian Developer's Reference and
    documented as such (there is nothing in the Policy Manual about
    announcements). Closes #37521
  * New way to set the passive mode. Should close #36087
  * Copyright updated (again, pre-2.0 souvenirs). Closes #35603
  * Moved to subsection 'devel'. Closes #35602
  * Various typos fixed, as well as errors in the documentation
    (mostly pre-2.0 souvenirs).	Closes #35518

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Thu, 20 May 1999 09:23:58 +0200

dupload (2.0) unstable; urgency=low

  * New dependencies: recommends a mail-transport-agent (the
    announcement is really important) and suggests lintian
    (see #34883).
  * When using SSH, do not chmod on the remote host if the local mode
    is already 0644. Half-closes #13243.
  * Patch from Chris Waters <xtifr@dsp.net> to prevent emacs from
    showing password. Closes #34248.
  * scpb method documented.
  * --nomail now works according to the documentation (running
    dupload again sends the announce). Closes #31616, #32977.
  * New configuration file options, "archive" (the announcement)
    and "passive" (for FTP).
  * Do not ask for password when doing a dry run. Closes #31597
  * Routines that croak() are now in a separate package, to avoid
    displaying the stack, with its passwords. Thanks to
    Guy Decoux <decoux@moulon.inra.fr>. Closes #10003
  * New dupload.conf. Closes #34943
  * Now uses Net::FTP module instead of a custom FTP module. And
    depends on libnet-perl. Uses better error messages. Closes
    #28283, #7541, #33437

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Thu, 25 Mar 1999 15:47:39 +0100

dupload (1.17) unstable; urgency=low

  * Ability to add a "X-No-Archive: yes" header. Closes #33896
  * Now does correct computations on kilobytes. Closes #31955
  * Default method for master is now scp/ssh. Closes #16241
  * New (undocumented) method "scpb" by Guy Maor <maor@ece.utexas.edu>.
    Closes #13383
  * Do not display all parameters (including password) when failing to log
    in. Closes #31216
  * Cc: now works. Closes #19034
  * Accept quotes in full names. Closes #13120
  * New maintainer.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Sat, 27 Feb 1999 21:44:13 +0100

dupload (1.16.4) frozen unstable; urgency=low

  * Non-maintainer upload
  * Added dupload.conf entry for ftp://ftp3.linux.it/pub/Linux/UploadQueue/
  * Made appropriate /usr/doc/dupload/copyright file,
    which fixes #14390, #24699, #29766.
  * Fixed the section/priority according to the overriding Packages file
  * Suggests: mail-transport-agent (because of the announcing feature)

 -- Josip Rodin <jrodin@jagor.srce.hr>  Mon, 11 Jan 1999 00:22:13 +0100

dupload (1.16.3) unstable; urgency=low

  * Non-maintainer upload
  * Implemented the --nomail option. Closes #18512

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Tue,  5 Jan 1999 10:10:51 +0100

dupload (1.16.2) frozen unstable; urgency=medium

  * Non-maintainer release.
  * Fix brokenness in last NMU using patch from Martin Bialasinski
    posted to debian-devel.
  * Add patch from Bug#23927 (sends mail for frozen-only uploads).
  * Use scp -q, as scp's progress display does not mesh nicely with
    dupload's output.

 -- Joel Klecker <espy@debian.org>  Sun, 20 Dec 1998 05:38:45 -0800

dupload (1.16.1) frozen unstable; urgency=low

  * Non-maintainer upload
  * Fix logic error in uploading using FTP (Bug# 30202)

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 18 Dec 1998 16:13:35 +0100

dupload (1.16) unstable; urgency=low

  * small enhancement from Rob Browning <rlb@cs.utexas.edu> for
    dry run and sendmail command
  * read local config files too (should fix bug #7539
  * upload queue in erlangen (germany) added
  * handle odd characters in package names (1st try)

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Fri, 29 Aug 1997 22:27:35 +0200

dupload (1.15) stable unstable; urgency=low

  * fixed bug regarding ``+'' in package names (#????)
  * Updated man page to real life:
    visiblename (!) is the real name of the ``visibledomain''
    config directive. (#????)
  * Option for suppressing mail added (#7771)
  * Point to global config as example for local config (#8826).

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Wed, 25 Jun 1997 21:32:06 +0200

dupload (1.14) stable unstable; urgency=low

  * copyright refers no to /usr/doc/copyright (bug #7199)
  * don't assume the uploading person as lazy any longer
    (bugs #6397, #6620)
  * when uploaded a package via scp, a `ssh chmod 0644' is done to
    (bug #7166)
  * put it into stable

 -- Heiko Schlittermann <heiko@lott.sax.de>  Thu, 13 Feb 1997 09:09:05 +0100

dupload (1.12) unstable; urgency=low

  * set visible name and domain in the announcement mail
    (as a way to work around the anti spamming of the list processor
    if you send your announcements from several hosts)

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Wed, 27 Nov 1996 12:33:38 +0100

dupload (1.11) unstable; urgency=low

  * Option -p will print the nick name too
  * exit code according do success or failure
  * announcement according to policy
    (is `frozen' a valid distribution code?)
  * changed distribution to unstable

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Wed, 27 Nov 1996 06:53:09 +0100

dupload (1.10) experimental; urgency=low

  * temporary fix for perl-5.003

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Mon, 4 Nov 1996 08:37:52 +0100

dupload (1.9) experimental; urgency=low

  * stylistic changes in man pages
  * 1kB == 1000 B

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Thu, 24 Oct 1996 21:42:45 +0200

dupload (1.8) experimental; urgency=low

  * scp is supported now
  * address of chiark matches changed reality again
  * avoid duplicate announcements
  * extra announcement file name had typo
  * now looking for following extra files
    - package.announce
    - package_version.announce
    - package_version-debian.announce
    and prepend 'em in that order to the announcement (.changes)
    NOTE: text before the pgp-signed part of a message is not shown
    in some MUAs (elm).
  * suppressing the stars while entering a password
  * non-echo mode is entered before issuing the password prompt (should
    cure the problem that the password is shown on heavily loaded
    machines)

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Sat, 5 Oct 1996 23:36:59 +0200

dupload (1.7) experimental; urgency=low

  * include `X-dupload: version' in mail header
  * niced the manual pages (due to eric)
  * --Version option
  * better detecting of non-changes files
  * if a file was uploaded to host A, dupload refused
    an upload to host B

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Wed, 18 Sep 1996 10:26:06 +0200

dupload (1.6) experimental; urgency=medium

  * didn't respected already done uploads

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Sat, 14 Sep 1996 01:06:39 +0200

dupload (1.5) experimental; urgency=high

  * announced always to mailto and mailtx
  * prepend $package-$version.announce, if exists, to the
    announcement

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Fri, 13 Sep 1996 21:35:00 +0200

dupload (1.4) experimental; urgency=high

  * we should upload the .changes file too
  * in ftp modules: output unbuffered if $ftp_show
  * hmm, back the arch in announcements subject (so
    we have different subjects for different binaries)
  * option --keep to skip broken packages (instead of bailing
    out)
  * md5sums should be compared with `eq' rather then `=='

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Fri, 13 Sep 1996 21:35:00 +0200

dupload (1.3) experimental; urgency=low

  * login/password support (due to Dominik)
  * support for master.debian.org (due to Yves)
  * hash marks while uploading
  * new config file format
  * firewall aware (I hope) (due to Dominik)
  * default host not supported any longer
  * now stripping of the architecture from the *.upload file
    and from the announcements subject (due to Yves)
  * --force option to ignore contents of *.upload file
  * not taking the architecture from the changes file name into
    the jobname and announcement (due to Yves)
  * log the announcement too

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Thu, 12 Sep 1996 23:44:04 +0200

dupload (1.2) experimental; urgency=medium

  * silly bug prevented it from sending the announcement

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Thu, 12 Sep 1996 17:44:04 +0200

dupload (1.1) experimental; urgency=low

  * configuration files /etc/dupload.conf, ~/.dupload, ./dupload.conf
  * option -n for dry run

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Thu, 12 Sep 1996 11:15:22 +0200

dupload (1.0-1) experimental; urgency=low

  * initial release

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Wed, 11 Sep 1996 13:28:10 +0200
